OpenMES项目管理
====

&emsp;傲鹏MES制造执行系统(Manufacturing Execution System ),基于C/S架构,客户端采用.Net Wpf + DevExpress ,服务端采用Asp.net Core + WebApi,服务器支持云端部署,支持跨平台部署(如Linux等)


## 常见问题  

[常见问题说明](/../wikis/常见问题)

  

更新日志
---- 
#### PdaVersion：  1.14.84  (最新)
1. 内包装打印 、外箱打印、装箱 、装箱(序列号) 增加自定义扩展字段。（OpenIssure/OpenFlow12#889）   
  
----  
#### MesVersion：  1.2.10  (最新)          2020/12/22  
1. 增加报工备注到报工明细里面显示 (OpenIssure/OpenMes#106)   
2. 工作中心加个提示，，已存在工艺路线的工作中心不让删除 (OpenIssure/OpenFlow12#892)  
3. 安费诺效率报表查询条件：未显示流水线  (OpenIssure/OpenFlow12#893)  
4. 成品工单绑定半成品工单的序列号（OpenIssure/OpenMes#104）  
5. 看板优化：增加古鑫工作中心生产状态看板;  产线设备监控看板&生产实时看板广播备注优化(OpenIssure/OpenFlow12#894);  
6. 修改程序BUG   
 
#### OpenFlowVersion: 12.6.4..003

----  
#### MesVersion：  1.2.9            2020/12/18  
1. mes盘点单产生erp 盘点单优化，erp盘点单上表来源类型 source_type = "2" 作区分用。    
2. 物料批次追溯修改条件  
3. 车间上线增加设备pe 人员、 ipqc 人员 的更新  
4. 看板优化：增加安费诺效率报表线别生产效率；工序时段产量看板优化取消只取上线及暂停的上线记录限制;  产线设备监控看板&生产实时看板广播备注优化;  
5. 修改程序BUG  

#### PdaVersion：  1.14.83  (最新)
1. 外箱打印增加 PoMoSoQty 来记录工单数量，供打印使用 
2. 安费诺，PDA首件确认扫员工，按参数表SYS006 设置 解析  （OpenIssure/OpenFlow12#887）  
  
--- 
#### MesVersion：  1.2.6            2020/12/11  
1. 序列号报工不合格响两声，合格一声。    
2. 处理IPQC批检管理查询死锁问题，取消标签ID、报工日期、标签生产日期、生产人员、班次、盘号字段取数及显示。    
  
---   
#### MesVersion：  1.2.5         2020/12/10  
1. 优化MES数据查询方式。    （#873、#876）  
2. 一体化模式下，生成储位盘点单自动产生ERP盘点单；产生储位盘点调整单时同步自动产生ERP盘盈盘亏调整单。(#103)      
3. 暂停原因增加一个类型 14.品质异常    
4. 工艺参数取数来源增加数据库    
5. 报工时当工艺参数取数来源为数据库时取omes_dct_aoitxt的判定结果    
6. 增加安费诺 产线设备状态看板接口。  
7. 修改PDA其它出库、 其它入库、调拨、销售出货、销售退货查询接口 只取当前期间的数据。（#102）  
8. 控制首页仪表盘是否加载数据 （#101）  
9. 修改程序BUG    
10. 主要修改内容:[点这里](OpenIssure/OpenMes%"1.2.5")  
  
----  
#### MesVersion：  1.2.4                 2020/11/26
1. IPQC首检、批检、巡检时，修改抽样数量报不能小于制单数量错误。
2. 后台系统制度表增加参数SCM014产生物控档时，工序物控投料表中字段投料数量控制赋值 ：0.（默认）不控制  1.控制  
   字段值为不控制时，车间工作台报工时，工序投料不考虑 总报工数量与投料最小齐套控制。
3. 后台系统制度表增加参数MES037 产成品入库时，是否校验入库明细与标签上的生产日期是否一致。0.不校验(默认)  1.校验  
   成品入库时，设置为0时，不作校验。
4. 修改设备监控参数编码改为下拉窗口
5. 序列号报工，不合格提示不良品报工
6. 修改程序BUG

#### PdaVersion：  1.14.81  
1. 工序报工：安费诺模式下增加扫描工单通过接口API调用存过更新物控BOM
2. 工序投料：安费诺模式下增加扫描工单通过接口API调用存过更新物控BOM
3. 物控领料：扫描物料时，管控标签先进先出 ，非先进先出物料增加锁屏功能
4. 制程管理 增加 返工工时统计：针对返工工序的报工，增加工时统计。
5. 制程管理 增加 报废数量登记：按工单批号查询物控档，手工修改来料不良数及制造不良数。

#### OpenFlowVersion: 12.6.4..002